
Redmine - Defect #23246

Saving an empty Markdown image tag in Wiki pages causes internal server error

2016-07-05 16:36 - Viktor Berke

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 3.2.4   

Resolution: Fixed Affected version: 3.3.0

Description

Steps to reproduce:

- use Markdown Wiki formatting

- Create a Wiki page

- Add an empty image tag, i.e.:

![]()

 - Save the changes

- From now on, this page will show an internal server error, eventually also crashing the whole Redmine instance

The log shows the following error:

Started GET "/projects/fpga/wiki" for 127.0.0.1 at 2016-07-05 11:28:01 +0200

Processing by WikiController#show as HTML

  Parameters: {"project_id"=>"fpga"}

  Current user: viktor@foobar.com (id=17)

  Rendered wiki/_content.html.erb (9.7ms)

  Rendered wiki/show.html.erb within layouts/base (31.2ms)

Completed 500 Internal Server Error in 277ms (ActiveRecord: 23.1ms)

ActionView::Template::Error (undefined method `include?' for nil:NilClass):

    1: <div class="wiki wiki-page">

    2:   <%= textilizable content, :text, :attachments => content.page.attachments,

    3:         :edit_section_links => (@sections_editable && {:controller => 'wiki', :action => 'e

dit', :project_id => @page.project, :id => @page.title}) %>

    4: </div>

  lib/redmine/helpers/url.rb:26:in `uri_with_safe_scheme?'

  lib/redmine/wiki_formatting/markdown/formatter.rb:48:in `image'

  lib/redmine/wiki_formatting/markdown/formatter.rb:60:in `render'

  lib/redmine/wiki_formatting/markdown/formatter.rb:60:in `to_html'

  lib/redmine/wiki_formatting.rb:89:in `to_html'

  app/helpers/application_helper.rb:598:in `textilizable'

  app/views/wiki/_content.html.erb:2:in `_app_views_wiki__content_html_erb__2292234759012989548_70

948640'

  app/views/wiki/show.html.erb:47:in `_app_views_wiki_show_html_erb___1795174084185801307_65213660

'

  app/controllers/wiki_controller.rb:114:in `show'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

Related issues:

Has duplicate Redmine - Defect #23395: Markdown formatter crashes Closed

Associated revisions

Revision 15607 - 2016-07-06 20:18 - Jean-Philippe Lang

Fixed that empty Markdown image tag raises en error (#23246).

Revision 15614 - 2016-07-10 09:46 - Jean-Philippe Lang

Merged r15607 (#23246).
Revision 15615 - 2016-07-10 09:47 - Jean-Philippe Lang

Merged r15607 (#23246).

History

#1 - 2016-07-05 16:39 - Viktor Berke

At this point, the only way to solve this is delete this line directly from the database.

#2 - 2016-07-06 20:18 - Jean-Philippe Lang

- Category changed from Wiki to Text formatting

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.2.4

- Resolution set to Fixed

Fixed in r15607, thanks for pointing this out.

#3 - 2016-07-07 12:32 - Viktor Berke

Wow, that was crazy fast! Applied this oneliner to our instance and I'm happy to confirm it indeed works now. Thanks a lot, Jean-Philippe.

#4 - 2016-07-10 09:48 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Thanks for your feedback.

#5 - 2016-07-22 04:15 - Toshi MARUYAMA

- Related to Defect #23395: Markdown formatter crashes added

#6 - 2016-07-23 04:34 - Toshi MARUYAMA

- Related to deleted (Defect #23395: Markdown formatter crashes)

#7 - 2016-07-23 04:34 - Toshi MARUYAMA

- Has duplicate Defect #23395: Markdown formatter crashes added
